accumulo-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From cjno...@apache.org
Subject svn commit: r1481924 - /accumulo/branches/1.5/bin/bootstrap_config.sh
Date Mon, 13 May 2013 15:31:51 GMT
Author: cjnolet
Date: Mon May 13 15:31:50 2013
New Revision: 1481924

URL: http://svn.apache.org/r1481924
Log:
Applying patch ACCUMULO-1401

Modified:
    accumulo/branches/1.5/bin/bootstrap_config.sh

Modified: accumulo/branches/1.5/bin/bootstrap_config.sh
URL: http://svn.apache.org/viewvc/accumulo/branches/1.5/bin/bootstrap_config.sh?rev=1481924&r1=1481923&r2=1481924&view=diff
==============================================================================
--- accumulo/branches/1.5/bin/bootstrap_config.sh (original)
+++ accumulo/branches/1.5/bin/bootstrap_config.sh Mon May 13 15:31:50 2013
@@ -76,4 +76,9 @@ echo "Initializing default configuration
 #
 # Perform a copy with update here to not overwrite existing files
 #
-cp -vu ${CONF_DIR}/* ${ACCUMULO_HOME}/conf
+if ! `type -p "cp -u"`; then
+  CP=rsync
+else
+  CP=cp
+fi
+$CP -vu ${CONF_DIR}/* ${ACCUMULO_HOME}/conf
\ No newline at end of file



Mime
View raw message